Subject: Re: Zsh observations
From: <[email-masked]>
To: Michael Schaap <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 04 Jul 2001 13:22:23 -0700

Wow.  I've been using zsh on Cygwin for about a week now and without a hitch. 
Here are my thoughts on some of the points you made:

1. I had c:\cygwin\bin in my W2k system PATH environment variable in the first
place so that I could run the inetd service (which requires it).  So I never
even had the potential to run into this.

2. That's funky.  I couldn't reproduce it when trying it with two .bat files,
but as you said, it sometimes works and sometimes doesn't.  So there may be some
piece of the puzzle I'm missing to be able to reproduce this.

3. You get command-line completion OOTB.  What does the compinit function give
you (I've never used that one before)?

The main things I love about zsh are the right-side prompt and auto-pushd so
that I can do cd -5 to goto the 5th-to-last directory I was in.  Also the
mid-word completion (i.e. /usr/l<tab>l/bin --> /usr/local/bin) is really cool.

Anyway, I hope you find your way back to zsh.  Incidentally, I use v4.0.2.  If
you're having problems with an older version, try upgrading.

-Sandeep

Quoting Michael Schaap <[email-masked]>:

> Hi all,
> 
> I decided to give zsh a try.  I'm running cygwin with the latest of 
> everything (according to setup.exe), on Windows 2000.
> I downloaded zsh-4.0.2.tar.bz2 and built it out of the box. 
> (./configure; 
> make; make install).
> 
> In general, it runs nicely, but I do have a few observations:
> 
> 1. zsh doesn't like it if ...\cygwin\bin is not in the Windows path.  If
> I 
> start up zsh without this, it works as long as the current directory is 
> /usr/bin.  If I then do
> 	PATH="/usr/local/bin:/usr/bin:/bin:$PATH"
> 	export PATH
> 	cd $HOME
> (either on the command line, or in /etc/zprofile), any external command
> I 
> run gives:
> 	      0 [main] zsh 2432 sync_with_child: child 2356(0x230) died before 
> initialization with status code 0x80
> 	   1288 [main] zsh 2432 sync_with_child: *** child state waiting for
> longjmp
> /home/mscha/.zshrc:150: fork failed: resource temporarily unavailable
> 
> 2. Sometimes, zsh finds a command further in the path than it should. 
> For 
> instance, if PATH=/a:/b, and both /a/hello.exe and /b/hello.exe exist, 
> typing "hello" sometimes (but not always) runs /b/hello.exe.  I'm not
> sure, 
> but it seems that running "hello.exe" works as it should, so perhaps it
> has 
> something to do with the cygwin automagic exe extension handling.
> 
> 3. The command line completion module ("autoload -U compinit; compinit")
> 
> does not work.  It I run this, then command line completion becomes 
> erratic.  About half the time it works, but often TAB either expands to 
> incorrect strings, or core dumps zsh.
> 
> This is too bad, because I really like zsh.
> 
>   - Michael
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/